/*********************************************************************
 * \file   AssetTypeID.cpp
 *
 * \author Romain BOULLARD
 * \date   February 2026
 *********************************************************************/
#include <Engine/BigFile/Asset/AssetTypeID.hpp>

namespace flatbuffers
{
Bigfoot::Flat::AssetTypeID Pack(const Bigfoot::AssetTypeID& p_assetTypeID)
{
    return Bigfoot::Flat::AssetTypeID {p_assetTypeID};
}

/****************************************************************************************/

Bigfoot::AssetTypeID UnPack(const Bigfoot::Flat::AssetTypeID& p_flatAssetTypeID)
{
    return Bigfoot::AssetTypeID {p_flatAssetTypeID.value()};
}
}   // namespace flatbuffers
